summaryrefslogtreecommitdiffstats
path: root/scripts/mk-images
diff options
context:
space:
mode:
authorErik Troan <ewt@redhat.com>2001-01-16 22:11:14 +0000
committerErik Troan <ewt@redhat.com>2001-01-16 22:11:14 +0000
commit5f9cf07744766fd027f03aa771046d1a144f3b67 (patch)
tree2b198f31e92f295eb9f72394aa0095958b6d6679 /scripts/mk-images
parent8189ac82d7b2540591604ce3f723eb2f31b6cdc1 (diff)
downloadanaconda-5f9cf07744766fd027f03aa771046d1a144f3b67.tar.gz
anaconda-5f9cf07744766fd027f03aa771046d1a144f3b67.tar.xz
anaconda-5f9cf07744766fd027f03aa771046d1a144f3b67.zip
need to resolve modules which depend on modules which depend on modules which...
Diffstat (limited to 'scripts/mk-images')
-rwxr-xr-xscripts/mk-images23
1 files changed, 17 insertions, 6 deletions
diff --git a/scripts/mk-images b/scripts/mk-images
index b9b298b64..fb196018c 100755
--- a/scripts/mk-images
+++ b/scripts/mk-images
@@ -181,13 +181,24 @@ intcopymodules () {
done
}
+# This loops to make sure it resolves dependencies of dependencies of...
resdeps () {
- $GETMODDEPS -m $MODDEPS $* 2>&1
- if [ $? != "0" ] ; then
- kill -9 $$
- fi
- list=`$GETMODDEPS -m $MODDEPS $*`
- items=$(for n in $* $list; do echo $n; done | sort -u)
+ items="$*"
+
+ before=1
+ after=2
+
+ while [ $before != $after ]; do
+ before=`echo $items | wc -c`
+
+ if [ $? != "0" ] ; then
+ kill -9 $$
+ fi
+ list=`$GETMODDEPS -m $MODDEPS $items`
+ items=$(for n in $items $list; do echo $n; done | sort -u)
+ after=`echo $items | wc -c`
+ done
+
echo $items
}